/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#include <memory>
#include <dali/internal/imaging/common/native-image-source-impl.h>

namespace Dali
{
namespace Internal
{
namespace Adaptor
{

namespace NativeImageSourceFactory
{

/**
 * Dummy implementation
 * @param width
 * @param height
 * @param depth
 * @param nativeImageSource
 * @return
 */
__attribute__((weak))
std::unique_ptr<Dali::Internal::Adaptor::NativeImageSource> New(unsigned int width,
                                       unsigned int height,
                                       Dali::NativeImageSource::ColorDepth depth,
                                       Any nativeImageSource)
{
  return std::unique_ptr<NativeImageSource>(nullptr);
}

}

} // Adaptor

} // Internal

} // Dali
